MTRR_DEL(9)

NAME
mtrr_del - delete a memory type region

SYNOPSIS

int mtrr_del(int reg, unsigned long base, unsigned long size);

ARGUMENTS

reg
    Register returned by mtrr_add

base
    Physical base address

size
    Size of region

DESCRIPTION

If register is supplied then base and size are ignored. This is how drivers should call it.

Releases an MTRR region. If the usage count drops to zero the register is freed and the region returns to default state. On success the register is returned, on failure a negative error code.

COPYRIGHT